﻿Imports System.Globalization

Public Class DayCalculator

    Public Sub CalculateDay()
        Console.Write("Enter a date in MM/dd/yyyy format: ")
        Dim selectedDate As DateTime
        Dim dateString As String = Console.ReadLine()
        Dim format As String = "MM/dd/yyyy"
        Dim provider As CultureInfo = CultureInfo.InvariantCulture

        Try
            selectedDate = DateTime.ParseExact(dateString, format, provider)
            Console.WriteLine("{0} is/was a {1}",
                selectedDate.ToString("MMM dd, yyyy"),
                selectedDate.DayOfWeek)

            Dim now As DateTime = DateTime.Now
            ' create DateTime with the same date this year
            Dim thisYear As DateTime = New DateTime(
                now.Year, selectedDate.Month,
                selectedDate.Day)

            Console.WriteLine("This year {0} falls/fell on a {1}",
                thisYear.ToString("MMM dd"),
                thisYear.DayOfWeek)
        Catch e As FormatException
            Console.WriteLine("Invalid date. Note that the month " &
                    "and date parts must be two digits. " &
                    "For example, instead of 1/1/2014, enter 01/01/2014")
        End Try
    End Sub

End Class
